> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Segments

> List all segments configured in your workspace.

Retrieve a list of manual and dynamic segments.

### Response

<ResponseField name="data" type="array">
  <ResponseField name="id" type="string">The segment ID.</ResponseField>
  <ResponseField name="name" type="string">Segment name.</ResponseField>
  <ResponseField name="type" type="string">Segment type (`manual` or `dynamic`).</ResponseField>
  <ResponseField name="contactsCount" type="number">Active contact count.</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.mailofly.com/api/v1/segments \
    -H "Authorization: Bearer mf_live_your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": [
      {
        "id": "seg_123",
        "name": "High-Value Customers",
        "type": "dynamic",
        "contactsCount": 142
      },
      {
        "id": "seg_456",
        "name": "Newsletter Subscribers",
        "type": "manual",
        "contactsCount": 850
      }
    ]
  }
  ```
</ResponseExample>


## Related topics

- [List Segment Contacts](/api/segments/list-segment-contacts.md)
- [List Contact Segments](/api/contacts/list-contact-segments.md)
- [Segments](/audience/segments.md)
- [List Contacts](/api/contacts/list-contacts.md)
- [Why Use Segments?](/guides/sending/why-use-segments.md)
